### org.jfree.layouting.input.style.parser.stylehandler.border

# Class BackgroundPositionReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.border.BackgroundPositionReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class BackgroundPositionReadHandler`
`extends ListOfPairReadHandler`

Creation-Date: 26.11.2005, 18:29:10

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSNumericValue`

  `BOTTOM`

  `static CSSNumericValue`

  `CENTER`

  `static CSSNumericValue`

  `LEFT`

  `static CSSNumericValue`

  `RIGHT`

  `static CSSNumericValue`

  `TOP`

  ## Constructor Summary

  `BackgroundPositionReadHandler()`

  ## Method Summary

  `protected void`

  `addToResultList(ArrayList values, CSSValue firstPosition, CSSValue secondPosition)`

  `protected CSSValue`

  `parseFirstPosition(LexicalUnit value)`

  `protected CSSValue`

  `parseSecondPosition(LexicalUnit value, CSSValue firstValue)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.ListOfPairReadHandler

  `addToResultList`, `createValue`, `parseFirstPosition`, `parseSecondPosition`

## Field Details

### BOTTOM

    public static final CSSNumericValue BOTTOM

### CENTER

    public static final CSSNumericValue CENTER

### LEFT

    public static final CSSNumericValue LEFT

### RIGHT

    public static final CSSNumericValue RIGHT

### TOP

    public static final CSSNumericValue TOP

## Constructor Details

### BackgroundPositionReadHandler

    public BackgroundPositionReadHandler()

## Method Details

### addToResultList

    protected void addToResultList(ArrayList values,
                                   CSSValue firstPosition,
                                   CSSValue secondPosition)

> Overrides:
>   addToResultList in interface ListOfPairReadHandler

### parseFirstPosition

    protected CSSValue parseFirstPosition(LexicalUnit value)

> Overrides:
>   parseFirstPosition in interface ListOfPairReadHandler

### parseSecondPosition

    protected CSSValue parseSecondPosition(LexicalUnit value,
                                           CSSValue firstValue)

> Overrides:
>   parseSecondPosition in interface ListOfPairReadHandler